mysqladmin dyld: Libary not loaded error (Mac OS)

dyld: Library not loaded: /usr/local/opt/openssl/lib/libssl.1.0.0.dylib

I was recently running some scripts in my local dev environment that use mysqladmin (installed as part of homebrew mysql-client package) to drop and recreate some tables in my docker MySQL instance and encountered this error. This happens across all Mac OS version I tested (Big Sur, Catalina, Mojave). The issue is the libssl version it’s looking for is out of date.

To fix:

brew upgrade mysql

Leave a Reply

Your email address will not be published. Required fields are marked *

two × four =